package com.sunxung.factoring.entity.ledger.vo;

import com.sunxung.factoring.entity.sys.Dictionary;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Description : 提前回款计算所需字段--针对贸理通业务
 * @Author : L.Jia
 * @Date: 2021-12-10 10:58
 */
public class PrePaymentCalculateVo {

    /**
     * 提前回款利息计算方式
     */
    private Dictionary prepaymentInterestCalculate;

    /**
     * 还款方式
     */
    private Dictionary payBackMethod;

    /**
     * 利息是否计算投放日，1:是,0:否
     */
    private Integer interestCalculate;

    /**
     * 放款金额
     */
    private BigDecimal loanAmount;

    /**
     * 放款日期
     */
    private Date loanDate;

    /**
     * 本金回款金额
     */
    private BigDecimal principalCollAmount;

    /**
     * 融资利率(年化)
     **/
    private Double financingRate;

    /**
     * 管理费率
     */
    private Double managementFeeRatio;

    /**
     * 是否做过宽限期二
     */
    private Boolean grace;

    public Dictionary getPrepaymentInterestCalculate() {
        return prepaymentInterestCalculate;
    }

    public void setPrepaymentInterestCalculate(Dictionary prepaymentInterestCalculate) {
        this.prepaymentInterestCalculate = prepaymentInterestCalculate;
    }

    public Integer getInterestCalculate() {
        return interestCalculate;
    }

    public void setInterestCalculate(Integer interestCalculate) {
        this.interestCalculate = interestCalculate;
    }

    public BigDecimal getLoanAmount() {
        return loanAmount;
    }

    public void setLoanAmount(BigDecimal loanAmount) {
        this.loanAmount = loanAmount;
    }

    public Date getLoanDate() {
        return loanDate;
    }

    public void setLoanDate(Date loanDate) {
        this.loanDate = loanDate;
    }

    public BigDecimal getPrincipalCollAmount() {
        return principalCollAmount;
    }

    public void setPrincipalCollAmount(BigDecimal principalCollAmount) {
        this.principalCollAmount = principalCollAmount;
    }

    public Double getFinancingRate() {
        return financingRate;
    }

    public void setFinancingRate(Double financingRate) {
        this.financingRate = financingRate;
    }

    public Double getManagementFeeRatio() {
        return managementFeeRatio;
    }

    public void setManagementFeeRatio(Double managementFeeRatio) {
        this.managementFeeRatio = managementFeeRatio;
    }

    public Dictionary getPayBackMethod() {
        return payBackMethod;
    }

    public void setPayBackMethod(Dictionary payBackMethod) {
        this.payBackMethod = payBackMethod;
    }

    public Boolean getGrace() {
        return grace;
    }

    public void setGrace(Boolean grace) {
        this.grace = grace;
    }
}
